Package ru.bitel.bgbilling.modules.pscb.common.bean

# Enum Class TransactionStatus

java.lang.Object
java.lang.Enum<TransactionStatus>
ru.bitel.bgbilling.modules.pscb.common.bean.TransactionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionStatus>`, `Constable`, `AbstractTransactionStatus`

public enum TransactionStatus extends Enum<TransactionStatus> implements AbstractTransactionStatus
Статус платежа в системе PSCB.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `END`
  Код статуса в BGBilling: 9
  Состояние в PSCB: end
  Платеж успешно завершен.
  `ERR`
  Код статуса в BGBilling: 6
  Состояние в PSCB: err
  Произошла ошибка при оплате счета (конечное состояние)
  `EXP`
  Код статуса в BGBilling: 5
  Состояние в PSCB: exp
  Счет не оплачен, время оплаты истекло (конечное состояние)
  `HOLD`
  Код статуса в BGBilling: 3
  Состояние в PSCB: hold
  Сумма заблокирована на карте покупателя (только при оплате картами) (промежуточное состояние)
  `NEW`
  Код статуса в BGBilling: 1
  Состояние в PSCB: new
  Платеж создан (Промежуточное состояние)
  `REF`
  Код статуса в BGBilling: 8
  Состояние в PSCB: ref
  Платёж успешно возврашён в ПС в полной сумме.
  `REJ`
  Код статуса в BGBilling: 7
  Состояние в PSCB: rej
  Платежная Система отвергла платеж (конечное состояние)
  `SENT`
  Код статуса в BGBilling: 2
  Состояние в PSCB: sent
  Покупатель перенаправлен на страницу ПС (Промежуточное состояние)
  `UNDEF`
  Код статуса в BGBilling: 4
  Состояние в PSCB: undef
  Состояние платежа не определено (будет определено позднее) (промежуточное состояние)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Получение кода статуса.
  `AbstractTransactionStatus`
  `getStatusByCode(String code)`
  Определение статуса платежа по его состоянию, которое передается из системы PSCB.
  `String`
  `getTitle()`
  Получение осмысленного названия статуса
  `String`
  `toString()`
  `static TransactionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TransactionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final TransactionStatus ALL

  - ### NEW

    public static final TransactionStatus NEW
    Код статуса в BGBilling: 1
    Состояние в PSCB: new
    Платеж создан (Промежуточное состояние)

  - ### SENT

    public static final TransactionStatus SENT
    Код статуса в BGBilling: 2
    Состояние в PSCB: sent
    Покупатель перенаправлен на страницу ПС (Промежуточное состояние)

  - ### HOLD

    public static final TransactionStatus HOLD
    Код статуса в BGBilling: 3
    Состояние в PSCB: hold
    Сумма заблокирована на карте покупателя (только при оплате картами) (промежуточное состояние)

  - ### UNDEF

    public static final TransactionStatus UNDEF
    Код статуса в BGBilling: 4
    Состояние в PSCB: undef
    Состояние платежа не определено (будет определено позднее) (промежуточное состояние)

  - ### EXP

    public static final TransactionStatus EXP
    Код статуса в BGBilling: 5
    Состояние в PSCB: exp
    Счет не оплачен, время оплаты истекло (конечное состояние)

  - ### ERR

    public static final TransactionStatus ERR
    Код статуса в BGBilling: 6
    Состояние в PSCB: err
    Произошла ошибка при оплате счета (конечное состояние)

  - ### REJ

    public static final TransactionStatus REJ
    Код статуса в BGBilling: 7
    Состояние в PSCB: rej
    Платежная Система отвергла платеж (конечное состояние)

  - ### REF

    public static final TransactionStatus REF
    Код статуса в BGBilling: 8
    Состояние в PSCB: ref
    Платёж успешно возврашён в ПС в полной сумме. Данный статус означает либо полный возврат прошедшего ранее платежа, либо отмену холда на карте. (конечное состояние)

  - ### END

    public static final TransactionStatus END
    Код статуса в BGBilling: 9
    Состояние в PSCB: end
    Платеж успешно завершен. Частично возвращённые платежи также имеют такой статус. (конечное состояние)

- ## Method Details

  - ### values

    public static TransactionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TransactionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public String getCode()
    Получение кода статуса.
    Specified by:
      `getCode` in interface `AbstractTransactionStatus`
    Returns:
      код статуса

  - ### getTitle

    public String getTitle()
    Получение осмысленного названия статуса
    Specified by:
      `getTitle` in interface `AbstractTransactionStatus`
    Returns:
      осмысленное название статуса

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `AbstractTransactionStatus`
    Overrides:
      `toString` in class `Enum<TransactionStatus>`

  - ### getStatusByCode

    public AbstractTransactionStatus getStatusByCode(String code)
    Определение статуса платежа по его состоянию, которое передается из системы PSCB.
    Specified by:
      `getStatusByCode` in interface `AbstractTransactionStatus`
    Parameters:
      `stateString` - состояние платежа